<template>
  <q-app id="q-app">
    <router-view style="min-height: 650px" :key="$route.fullPath" />
  </q-app>
</template>

<script>
import api from "./api/index.js";

export default {
  name: "App",
  data: () => ({
    //
  }),
  mounted() {
    api
      .getTasks()
      .then(response => {
        response.data.forEach(element => {
          this.$store.commit("tasks/addTask", element);
        });
      })
      .catch(error => {
        alert(error);
      });
  }
};
</script>

<style></style>
